Subject: [os2genau_digest] No. 470
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 15 Oct 2002 00:02:05 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 14 October 2002
 Number  470
**************************************************

Subjects for today
 
1  Re: [os2genau] Zippinf files > 2GB : madodel at ptdprolog dot net
2  Re: [os2genau] WebSphere : brianb at kdfisher dot com dot au
3  Re: [os2genau] Zippinf files > 2GB : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re: [os2genau] Zippinf files > 2GB : Ian Manners" <deadmail>
5  Re: [os2genau] Zippinf files > 2GB : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re: [os2genau] WebSphere : Ed Durrant <edurrant at bigpond dot net dot au>
7  Re: [os2genau] WebSphere : Ed Durrant <edurrant at bigpond dot net dot au>
8  Re: [os2genau] File systems : Daryl Pilkington" <u3232 at home.dialix dot com>

**= Email   1 ==========================**

Date:  Sun, 13 Oct 2002 19:11:35 -0400
From:  madodel at ptdprolog dot net
Subject:  Re: [os2genau] Zippinf files > 2GB

In <3DA9331C.6509DF1B at bigpond dot net dot au>, on 10/13/02 at 06:47 PM,
   Ed Durrant <edurrant at bigpond dot net dot au> said:

>I'm trying to zip a VirtualPC Virtual Hard disk file and whether I zip it
>with ZIP or PKZIP, the resultant zip file is corrupt (reports an invalid
>end-of-file error).  Is this a restriction of the zip equation, that it
>can't zip files that are greater than 2GB in size ?? has anyone got an
>alternative suggestion, that they know works with large files ??

What file system are you zipping it on?  HPFS has a 2GB file size limit.  
JFS has a 2TB file size limit.

Appears it is most likely a Zip/PKZip limitation.  I found this on
PKWare's site about their latest windoze version (5.0) "Virtually
Unlimited .ZIP File Size Capacity allows for .ZIP files exceeding other
..ZIP products' 4-gigabyte archive limitation; Create archives in excess of
a terabyte in size! "  But the OS/2 version is only at 2.5 or so.

According to the Info-Zip FAQ http://www.info-zip dot org/FAQ.html#limits  The
limit on uncompressed/compressed file sizes for Zip is 4GB, but "In
practice, the real limit may be 2 GB on many systems, due to UnZip's use
of the fseek() function to jump around within an archive. Because's
fseek's offset argument is usually a signed long integer, on 32-bit
systems UnZip will not find any file that is more than 2 GB from the
beginning of the archive. And on 64-bit systems, UnZip won't find any file
that's more than 4 GB from the beginning (since the zipfile format can
only store offsets that big). So the last file in the archive can
potentially be arbitrarily large (in theory, anyway--we haven't tested
this), but the combined total of all the rest must be less than 2 GB or 4
GB, respectively." 

Mark

-- 

 From the eComStation Desktop of: Mark Dodel

Warpstock 2002, Come to the home of OS/2 - Austin, Texas  http://www.warpstock dot org

For a choice in the future of personal computing, Join VOICE - http://www.os2voice dot org

  "The liberty of a democracy is not safe if the people tolerate the growth of private power to a point where it becomes stronger than their democratic State itself.   That in it's essence, is Fascism - ownership of government by an individual, by a group or by any controlling private power." Franklin Delano Roosevelt, Message proposing the Monopoly Investigation, 1938 

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 14 Oct 2002 11:00:00 +1030
From:  brianb at kdfisher dot com dot au
Subject:  Re: [os2genau] WebSphere

Ed,
Hi. I am aware that the IBMHTTPD is a re-compiled
Apache and configuring Apache on its own is not a problem,
this is what the present WWW server is.
My problem is the configuring of WebSphere. The
docs are assuming that you have the old Lotus Go webserver
already setup with WebSphere and are migrating to IBMHTTPServer.
The are references to on-line documentation at IBM that are
no longer available.
IBM are trying real hard to make OS/2 go away and removing
support documentation from the web sites seems to be the
current strategy.
Judging by the resounding silence from the rest of the list
it seems I will have to muddle through on my own.
Thanks.
Bye
-----------------------------------------
Brian Butler
System Administrator
brianb at kdfisher dot com dot au

                                                                                                                         
                      Ed Durrant                                                                                         
                      <edurrant at bigpond        To:       os2genau at os2 dot org dot au                                             
                       dot net dot au>                 cc:                                                                       
                                               Subject:  Re: [os2genau] WebSphere                                        
                      11/10/2002 18:49                                                                                   
                      Please respond to                                                                                  
                      os2genau                                                                                           

IBM HTTP Server is simply the Apache/2 Web server. I use that on
warp 4, can't say I have any experience with websphere though.

Ed.

brianb at kdfisher dot com dot au wrote:
>
> Hi all.
> Does anybody on the list have any experience with
> the IBM HTTP Server and WebSphere Application Server V3.0
> on WSeB?
> I need some advise on configuration.
> Thanks
> -----------------------------------------
> Brian Butler
> System Administrator
> brianb at kdfisher dot com dot au
>
>
----------------------------------------------------------------------------------

>  

----------------------------------------------------------------------------------

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 14 Oct 2002 17:39:25 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Zippinf files > 2GB

I'm zipping on a JFS partition, so no 2GB limit there. The (WinXP)
Virtual harddisk is 2.2 GB. I want to store it onto CD (s). I'm
trying RAR now, but I suspect that will only get me so far - I'd
expect the compressed file to be 1GB or so and was planning to use
zipsplit to put it on two CDs. I don't think there's a RaRSplit
program is there ??

Anyone got an idea ??

Cheers/2

Ed.

madodel at ptdprolog dot net wrote:
> 
> In <3DA9331C.6509DF1B at bigpond dot net dot au>, on 10/13/02 at 06:47 PM,
>    Ed Durrant <edurrant at bigpond dot net dot au> said:
> 
> >I'm trying to zip a VirtualPC Virtual Hard disk file and whether I zip it
> >with ZIP or PKZIP, the resultant zip file is corrupt (reports an invalid
> >end-of-file error).  Is this a restriction of the zip equation, that it
> >can't zip files that are greater than 2GB in size ?? has anyone got an
> >alternative suggestion, that they know works with large files ??
> 
> What file system are you zipping it on?  HPFS has a 2GB file size limit.
> JFS has a 2TB file size limit.
> 
> Appears it is most likely a Zip/PKZip limitation.  I found this on
> PKWare's site about their latest windoze version (5.0) "Virtually
> Unlimited .ZIP File Size Capacity allows for .ZIP files exceeding other
> .ZIP products' 4-gigabyte archive limitation; Create archives in excess of
> a terabyte in size! "  But the OS/2 version is only at 2.5 or so.
> 
> According to the Info-Zip FAQ http://www.info-zip dot org/FAQ.html#limits  The
> limit on uncompressed/compressed file sizes for Zip is 4GB, but "In
> practice, the real limit may be 2 GB on many systems, due to UnZip's use
> of the fseek() function to jump around within an archive. Because's
> fseek's offset argument is usually a signed long integer, on 32-bit
> systems UnZip will not find any file that is more than 2 GB from the
> beginning of the archive. And on 64-bit systems, UnZip won't find any file
> that's more than 4 GB from the beginning (since the zipfile format can
> only store offsets that big). So the last file in the archive can
> potentially be arbitrarily large (in theory, anyway--we haven't tested
> this), but the combined total of all the rest must be less than 2 GB or 4
> GB, respectively."
> 
> Mark
> 
> --
> 
>  From the eComStation Desktop of: Mark Dodel
> 
> Warpstock 2002, Come to the home of OS/2 - Austin, Texas  http://www.warpstock dot org
> 
> For a choice in the future of personal computing, Join VOICE - http://www.os2voice dot org
> 
>   "The liberty of a democracy is not safe if the people tolerate the growth of private power to a point where it becomes stronger than their democratic State itself.   That in it's essence, is Fascism - ownership of government by an individual, by a group or by any controlling private power." Franklin Delano Roosevelt, Message proposing the Monopoly Investigation, 1938
> 

>  

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 14 Oct 2002 18:44:14 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re: [os2genau] Zippinf files > 2GB

Hi Ed

>I'm zipping on a JFS partition, so no 2GB limit there. The (WinXP)
>Virtual harddisk is 2.2 GB. I want to store it onto CD (s). I'm
>trying RAR now, but I suspect that will only get me so far - I'd
>expect the compressed file to be 1GB or so and was planning to use
>zipsplit to put it on two CDs. I don't think there's a RaRSplit
>program is there ??

Depends on how much blank space is on the VHD, RAR has
much better compression than zip. My basic servers rar to
28Mb images but thats after I've stripped all non essential
rubbish out of OS/2. My cdrive which is 1.4Gb of stuff RAR's
down to 534Mb. I use solid archiving and normal compression,
no idea what it would be with Best compression.

>Anyone got an idea ??

Never had to split a rar file. Have a look on the rar website,
might have mention of it there somewere, or even in the latest
commandline version.

Cheers
Ian B Manners

To every rule there is an exception, and vice versa.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 14 Oct 2002 19:10:42 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Zippinf files > 2GB

I'll give it a try on maximum compression. My burner can burn up to
734MB on a CD and I have some 820MB blanks (you can even get 900 MB
CD-Rs now). So i may be able to "squeeze" it down onto one (Murphy
says it'll probably be about 10 MB too big though !..

Cheers/2

Ed.

Ian Manners wrote:
> 
> Hi Ed
> 
> >I'm zipping on a JFS partition, so no 2GB limit there. The (WinXP)
> >Virtual harddisk is 2.2 GB. I want to store it onto CD (s). I'm
> >trying RAR now, but I suspect that will only get me so far - I'd
> >expect the compressed file to be 1GB or so and was planning to use
> >zipsplit to put it on two CDs. I don't think there's a RaRSplit
> >program is there ??
> 
> Depends on how much blank space is on the VHD, RAR has
> much better compression than zip. My basic servers rar to
> 28Mb images but thats after I've stripped all non essential
> rubbish out of OS/2. My cdrive which is 1.4Gb of stuff RAR's
> down to 534Mb. I use solid archiving and normal compression,
> no idea what it would be with Best compression.
> 
> >Anyone got an idea ??
> 
> Never had to split a rar file. Have a look on the rar website,
> might have mention of it there somewere, or even in the latest
> commandline version.
> 
> Cheers
> Ian B Manners
> 
> To every rule there is an exception, and vice versa.

>  

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Mon, 14 Oct 2002 19:12:55 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] WebSphere

I believe Websphere is a cross platform product, therefore the
configuration info for the WIN32, Linux or even AIX versions may be
sufficient. Have you checked under these versions ??

Ed.

brianb at kdfisher dot com dot au wrote:
> 
> Ed,
> Hi. I am aware that the IBMHTTPD is a re-compiled
> Apache and configuring Apache on its own is not a problem,
> this is what the present WWW server is.
> My problem is the configuring of WebSphere. The
> docs are assuming that you have the old Lotus Go webserver
> already setup with WebSphere and are migrating to IBMHTTPServer.
> The are references to on-line documentation at IBM that are
> no longer available.
> IBM are trying real hard to make OS/2 go away and removing
> support documentation from the web sites seems to be the
> current strategy.
> Judging by the resounding silence from the rest of the list
> it seems I will have to muddle through on my own.
> Thanks.
> Bye
> -----------------------------------------
> Brian Butler
> System Administrator
> brianb at kdfisher dot com dot au
> 
> 
>                       Ed Durrant
>                       <edurrant at bigpond        To:       os2genau at os2 dot org dot au
>                        dot net dot au>                 cc:
>                                                Subject:  Re: [os2genau] WebSphere
>                       11/10/2002 18:49
>                       Please respond to
>                       os2genau
> 
> 
> 
> IBM HTTP Server is simply the Apache/2 Web server. I use that on
> warp 4, can't say I have any experience with websphere though.
> 
> Ed.
> 
> brianb at kdfisher dot com dot au wrote:
> >
> > Hi all.
> > Does anybody on the list have any experience with
> > the IBM HTTP Server and WebSphere Application Server V3.0
> > on WSeB?
> > I need some advise on configuration.
> > Thanks
> > -----------------------------------------
> > Brian Butler
> > System Administrator
> > brianb at kdfisher dot com dot au
> >
> >

> 
> >  
> 

> 
>  

> 

>  

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Mon, 14 Oct 2002 19:17:39 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] WebSphere

I've sent you the readme from WS 1.1 off-list but i don't know what
the differences betweem 1.1 and 3.x are.

Ed.

Ed Durrant wrote:
> 
> I believe Websphere is a cross platform product, therefore the
> configuration info for the WIN32, Linux or even AIX versions may be
> sufficient. Have you checked under these versions ??
> 
> Ed.
> 
> brianb at kdfisher dot com dot au wrote:
> >
> > Ed,
> > Hi. I am aware that the IBMHTTPD is a re-compiled
> > Apache and configuring Apache on its own is not a problem,
> > this is what the present WWW server is.
> > My problem is the configuring of WebSphere. The
> > docs are assuming that you have the old Lotus Go webserver
> > already setup with WebSphere and are migrating to IBMHTTPServer.
> > The are references to on-line documentation at IBM that are
> > no longer available.
> > IBM are trying real hard to make OS/2 go away and removing
> > support documentation from the web sites seems to be the
> > current strategy.
> > Judging by the resounding silence from the rest of the list
> > it seems I will have to muddle through on my own.
> > Thanks.
> > Bye
> > -----------------------------------------
> > Brian Butler
> > System Administrator
> > brianb at kdfisher dot com dot au
> >
> >
> >                       Ed Durrant
> >                       <edurrant at bigpond        To:       os2genau at os2 dot org dot au
> >                        dot net dot au>                 cc:
> >                                                Subject:  Re: [os2genau] WebSphere
> >                       11/10/2002 18:49
> >                       Please respond to
> >                       os2genau
> >
> >
> >
> > IBM HTTP Server is simply the Apache/2 Web server. I use that on
> > warp 4, can't say I have any experience with websphere though.
> >
> > Ed.
> >
> > brianb at kdfisher dot com dot au wrote:
> > >
> > > Hi all.
> > > Does anybody on the list have any experience with
> > > the IBM HTTP Server and WebSphere Application Server V3.0
> > > on WSeB?
> > > I need some advise on configuration.
> > > Thanks
> > > -----------------------------------------
> > > Brian Butler
> > > System Administrator
> > > brianb at kdfisher dot com dot au
> > >
> > >
> 
> >
> > >  

> 
> >
> >  
> 
> >
> 
> >  
> 

>  

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Mon, 14 Oct 2002 21:06:47 +1000 (EST)
From:  "Daryl Pilkington" <u3232 at home.dialix dot com>
Subject:  Re: [os2genau] File systems

Hi Alan,
HPFS386 is a module supplied with LAN Server & can be installed
separately if required. Since it is a 32bit file-system, unlike HPFS, &
runs at the faster ring0 privilege level rather than the slower ring 3,
it would be A Good Thing even on a workstation.

It is a licensed product, available on the IBM Developer Connection
CDs.

On Sun, 13 Oct 2002 21:46:30 -0400 (EDT), Alan Duval wrote:
>
SNIP
>
>As I have never heard of HPFS386 before, could someone tell me how would one get this and how could it 
>be installed for OS/2 to use it?
>
>Also how do people use OS/2 with JFS if you can't boot it?
>

Regards,

Daryl  Pilkington 

//// The PC-Therapist, Business Computing Integration
O<O  AUSTRALIA
\_/
<O>  OS/2 Warp, Redhat Linux, DB2
     IBM Certified Systems Expert

        email: darylp at pc-therapist dot com dot au
          Mob: 0425-251-300

----------------------------------------------------------------------------------